#pragma once

#include "CoreMinimal.h"
#include "RewardResponseItem.h"
#include "MilestoneRewardItem.generated.h"

USTRUCT(BlueprintType)
struct FMilestoneRewardItem
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FRewardResponseItem> Rewards;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 RewardPoints;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SkipSerialization)
	bool RewardPoints_IsSet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 RiftPoints;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SkipSerialization)
	bool RiftPoints_IsSet;

public:
	DEADBYDAYLIGHT_API FMilestoneRewardItem();
};

FORCEINLINE uint32 GetTypeHash(const FMilestoneRewardItem) { return 0; }
